Get Project
GET
/api/v1/projects/{project_id}
const url = 'https://aura.strangeworks.com/api/v1/projects/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://aura.strangeworks.com/api/v1/projects/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ProjectResponse
object
completeness
CompletenessResponse
Mirrors the fixed shape returned by completeness_service.compute_completeness().
object
all_constraints_classified
All Constraints Classified
boolean
all_variables_provided
All Variables Provided
boolean
data_available
Data Available
boolean
feasibility_result
Feasibility Result
string
kpis_defined
Kpis Defined
boolean
objective_drafted
Objective Drafted
boolean
objectives_defined
Objectives Defined
boolean
overall
Overall
string
production_requirements_defined
Production Requirements Defined
boolean
created_at
required
Created At
string format: date-time
created_by
Any of:
ProjectCreator
null
id
required
Id
string
name
required
Name
string
objective_components
Objective Components
Array<object>
object
key
additional properties
objective_confirmed
Objective Confirmed
boolean
total_cost_usd
Total Cost Usd
number
updated_at
required
Updated At
string format: date-time
workspace_mode
Workspace Mode
string
Example
{ "completeness": { "all_constraints_classified": false, "all_variables_provided": false, "data_available": false, "feasibility_result": "unchecked", "kpis_defined": false, "objective_drafted": false, "objectives_defined": false, "overall": "incomplete", "production_requirements_defined": false }, "objective_components": [], "objective_confirmed": false, "total_cost_usd": 0, "workspace_mode": "define"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}